Package twisted :: Package web :: Package woven :: Module model |
[show private | hide private]
[frames | no frames]

## Module twisted.web.woven.model

Classes
`AttributeModel` | Look up submodels as attributes with hosts.allow/deny-style security.
`AttributeWrapper` | I wrap an attribute named "name" of the given parent object.
`DeferredWrapper` |
`DictionaryModel` | I wrap a Python dictionary and allow it to interact with the Woven models and submodels.
`Link` |
`ListModel` | I wrap a Python list and allow it to interact with the Woven models and submodels.
`MethodModel` | Look up submodels with wmfactory_* methods.
`Model` | A Model which keeps track of views which are looking at it in order to notify them when the model changes.
`ObjectWrapper` | I may wrap an object and allow it to interact with the Woven models and submodels.
`StringModel` | I wrap a Python string and allow it to interact with the Woven models and submodels.
`UnsafeObjectWrapper` | I may wrap an object and allow it to interact with the Woven models and submodels.
`WModel` | A Model which keeps track of views which are looking at it in order to notify them when the model changes.
`Wrapper` | I'm a generic wrapper to provide limited interaction with the Woven models and submodels.

Function Summary
| `adaptToIModel(m, parent, submodel)`

Variable Summary
`str` | `__version__`

Variable Details

    ### __version__ Type: `str` Value:
        '1.45'

Generated by Epydoc 1.1 on Thu May 8 13:19:13 2003 | http://epydoc.sf.net